''
'' This code is part of https://developer.mescius.com/document-solutions/dot-net-word-api/demos.
'' Copyright (c) MESCIUS inc. All rights reserved.
''
Imports System.Drawing
Imports System.IO
Imports System.Linq
Imports GrapeCity.Documents.Word
Imports GrapeCity.Documents.Imaging

'' Demo of all built-in character styles
Public Class BuiltInCharStyles
    Public Function CreateDocx() As GcWordDocument
        Dim doc = New GcWordDocument()
        Dim pars = doc.Body.Paragraphs

        pars.Add("Demo of All Built-in Character Styles", doc.Styles(BuiltInStyleId.Title))

        For Each id In [Enum].GetValues(GetType(BuiltInStyleId))
            If id = BuiltInStyleId.User Then
                Continue For
            End If
            Dim style = doc.Styles(id)
            If style.Type <> StyleType.Character Then
                Continue For
            End If

            pars.Add().GetRange().Runs.Add($"Text formatted using built-in character style '{style.Name}'.", style)
        Next

        '' Done
        Return doc
    End Function
End Class
